Tirex::Metatiles::Range(3pm)

NAME
Tirex::Metatiles::Range - range of metatiles

SYNOPSIS
 use Tirex::Metatiles::Range;

 $range = Tirex::Metatiles::Range->new( z => '3-4', lon => '8-9', lat => '48-49' );

DESCRIPTION
A range of metatiles for one or more maps, one or more zoom levels and an x/y range for a lon/lat bounding box.

Is used to easily iterate over all those metatiles.

METHODS

  Tirex::Metatiles::Range->new(...)
Create new range.

  $range->reset()
Reset range, so that the next call to next() will return the first metatile in the range.

Returns range itself.

  $range->count()
Calculates how many metatiles there are in this range.

  $range->get_metatiles()
Return the number of metatiles you already got out of this range with next().

  $range->to_s()
Return string describing the range.

  $range->next()
Get next metatile from the range.

Returns undef if there are no more metatiles.